rubygems1.8 install died with segmentation fault

Bug #1132652 reported by Akihiro Motoki on 2013-02-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
rubygems (Ubuntu)
Undecided
Unassigned

Bug Description

gem1.8 dies with segmentation fault of timeout.rb.
It occurs with "gem1.8 search -r gli" too.

ubuntu@opst11:~$ sudo gem1.8 install --debug gli
Exception `NameError' at /usr/lib/ruby/vendor_ruby/1.8/rubygems/command_manager.rb:177 - uninitialized constant Gem::Commands::InstallCommand
/usr/lib/ruby/1.8/timeout.rb:60: [BUG] Segmentation fault
ruby 1.8.7 (2012-02-08 patchlevel 358) [x86_64-linux]

I am using Ubuntu raring (updated just one hour ago)

ubuntu@opst11:~$ dpkg -l ruby\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===================-==============-==============-===========================================
un ruby <none> (no description available)
un ruby-dev <none> (no description available)
un ruby-interpreter <none> (no description available)
un ruby-switch <none> (no description available)
ii ruby1.8 1.8.7.358-6ubu amd64 Interpreter of object-oriented scripting la
ii ruby1.8-dev 1.8.7.358-6ubu amd64 Header files for compiling extension module
un ruby1.8-examples <none> (no description available)
ii rubygems 1.8.24-1ubuntu all package management framework for Ruby libra
un rubygems-doc <none> (no description available)
ii rubygems1.8 1.8.24-1ubuntu all Transitional package for rubygems

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in rubygems (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers